List Instances
Lists instances matching the given query. The query can be used to filter either by instance ID or domain. The request is paginated and returns 100 results by default. This method requires system level permissions and cannot be called from an instance context.
Required permissions:
system.instance.read
Header Parameters
Define the version of the Connect protocol
1Define the timeout, in ms
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://loading/zitadel.instance.v2.InstanceService/ListInstances" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{
"instances": [
{
"id": "string",
"changeDate": "2023-01-15T01:30:15.01Z",
"creationDate": "2023-01-15T01:30:15.01Z",
"state": "STATE_UNSPECIFIED",
"name": "string",
"version": "string",
"customDomains": [
{
"instanceId": "string",
"creationDate": "2023-01-15T01:30:15.01Z",
"domain": "string",
"primary": true,
"generated": true
}
]
}
],
"pagination": {
"totalResult": 0,
"appliedLimit": 0
}
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}Was this page helpful?
List Custom Domains
List Custom Domains: Lists Custom Domains of the instance. By default the instance will be determined by the context of the request, e.g. the host header. You can optionally pass an InstanceID to list the domains of a ...
List Trusted Domains
List Trusted Domains: Lists Trusted Domains of the instance. By default the instance will be determined by the context of the request, e.g. the host header. You can optionally pass an InstanceID to list the domains of a...